using System;
using System.ServiceModel;

namespace TeeChartWCF
{
    public class MyContractProxy : ClientBase<IMyContract>, IMyContract
    {
        public MyContractProxy(int port)
            : base(GetBinding(), new EndpointAddress(string.Format("net.tcp://localhost:{0}", port)))
        {
        }

        private static NetTcpBinding GetBinding()
        {
            var binding = new NetTcpBinding();
            binding.SendTimeout = TimeSpan.FromSeconds(5);
            return binding;
        }

        public void Ping()
        {
            Channel.Ping();
        }
    }
}