﻿using System;
using System.ServiceModel;
using Steema.TeeChart;

namespace TeeChartWCF
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                //With this line commented out, the program works fine, otherwise you get a TimeoutException
                var chart = new TChart();
                var host = new ServiceHost(typeof(MyContract));
                host.AddServiceEndpoint(typeof(IMyContract), new NetTcpBinding(), "net.tcp://localhost:12345");
                host.Open();

                var proxy = new MyContractProxy(12345);
                proxy.Ping();
            }
            catch (Exception e)
            {
                Console.Error.WriteLine(e);
            }
        }
    }
}
